%define	upstream_name	 PathTools
%define upstream_version 3.47

%{?perl_default_filter:%perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 7

Summary:    Tools for working with paths and file specs across platforms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:	    PathTools-3.60-CVE-2015-8607.patch

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
Tools for working with paths and file specs across platforms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p3

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.yml MYMETA.yml README
%{perl_vendorarch}/File
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd
%{_mandir}/man3/*


%changelog
* Thu Jan 14 2016 luigiwalser <luigiwalser> 3.470.0-7.1.mga5
+ Revision: 923039
- add patch from rhbz#1293272 to fix CVE-2015-8607

* Sat Oct 18 2014 umeabot <umeabot> 3.470.0-7.mga5
+ Revision: 788162
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.470.0-6.mga5
+ Revision: 744724
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.470.0-5.mga5
+ Revision: 733220
- add exclude

* Wed Sep 24 2014 tv <tv> 3.470.0-4.mga5
+ Revision: 723793
- use %%perl_default_filter (fix requires)x

* Tue Sep 16 2014 umeabot <umeabot> 3.470.0-3.mga5
+ Revision: 685919
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.470.0-2.mga5
+ Revision: 631598
- Rebuild for perl 5.20

* Sun May 25 2014 sander85 <sander85> 3.470.0-1.mga5
+ Revision: 626417
- update to 3.47

* Sat Oct 19 2013 umeabot <umeabot> 3.400.0-4.mga4
+ Revision: 524933
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 3.400.0-3.mga4
+ Revision: 431716
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 3.400.0-2.mga4
+ Revision: 431253
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 3.400.0-1.mga3
+ Revision: 403800
- update to 3.40

* Sun Jan 13 2013 umeabot <umeabot> 3.330.0-4.mga3
+ Revision: 371626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.330.0-3.mga3
+ Revision: 251035
- rebuild for perl 5.16

* Fri Feb 18 2011 jquelin <jquelin> 3.330.0-2.mga2
+ Revision: 53701
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 3.330.0-1.mga1
+ Revision: 24470
- fix specs
- imported package perl-PathTools

